{
  TCanvas *canvas = new TCanvas();
  canvas->Divide(2,2);

  ifstream data1("32P_Be.dat");
  ifstream data2("33P_Be.dat");
  Int_t n1,n2;
  data1 >> n1;
  Double_t *X1 = new Double_t[n1];
  Double_t *Y1 = new Double_t[n1];
  Double_t *Xerr1 = new Double_t[n1];
  Double_t *Yerr1 = new Double_t[n1];
  
  for(Int_t i=0; i<n1; i++)    
    data1 >> X1[i] >> Y1[i] >> Xerr1[i] >> Yerr1[i];

  data2 >> n2;
  Double_t *X2 = new Double_t[n2];
  Double_t *Y2 = new Double_t[n2];
  Double_t *Xerr2 = new Double_t[n2];
  Double_t *Yerr2 = new Double_t[n2];
  
  
  for(i=0; i<n2; i++)    
    data2 >> X2[i] >> Y2[i] >> Xerr2[i] >> Yerr2[i];
  
  data1.close();
  data2.close();

  TGraphErrors *graph = new TGraphErrors();
  TGraphErrors *graph1 = new TGraphErrors(n1, X1, Y1, Xerr1, Yerr1);
  TGraphErrors *graph2 = new TGraphErrors(n2, X2, Y2, Xerr2, Yerr2);

  graph1->SetMarkerColor(2);
  graph1->SetMarkerSize(1.2);
  graph1->SetMarkerStyle(21);
  graph1->SetTitle("Graph 1 from the data file");
  graph1->GetXaxis()->SetTitle("Graph1 x title");
  graph1->GetYaxis()->SetTitle("Graph1 y title");

  graph2->SetMarkerColor(2);
  graph2->SetMarkerSize(1.2);
  graph2->SetMarkerStyle(21);
  graph2->SetTitle("Graph 2 from the data file");
  graph2->GetXaxis()->SetTitle("Graph2 x title");
  graph2->GetYaxis()->SetTitle("Graph2 y title");
  
  /*  // ===========================================================================
    // this part is only for creation of the ROOT file with two TGraphError objects:
    //===============================================================================
  TFile *f = new TFile("problem.root", "RECREATE");                     // 
  TTree *t = new TTree("graphs", "problematic graphs");                //
  t->Branch("graph","TGraphErrors", &graph, 32000, 99);               //
  graph = graph1;                                                    //
  t->Fill();                                                             //
  graph = graph2;                                                       //
  t->Fill();                                                           //
  t->Write();                                                         //
  f->Close();                                                        //
  //==============================================================================
  */

  // Now I am going to read the graphs from the file
  TFile *f = new TFile("problem.root", "RDNL");
  TTree *t = (TTree*)f->Get("graphs");
  TGraphErrors *g = new TGraphErrors();
  t->SetBranchAddress("graph", &g); 
  t->GetEntry(0);
  TGraphErrors *g1 = (TGraphErrors*)g->Clone();
  t->GetEntry(1);
  TGraphErrors *g2 = (TGraphErrors*)g->Clone();

  canvas->cd(1);
  //gPad->SetLogy(1);
  graph1->Draw("ap");
  //---------------------
  canvas->cd(2);
  //gPad->SetLogy(1);
  graph2->Draw("ap");
  //----------------------
  canvas->cd(3);
  //gPad->SetLogy(1);
  g1->Draw("ap");
  //-----------------------
  canvas->cd(4);
  //gPad->SetLogy(1);
  g2->Draw("ap");
  //---------------------
  canvas->Update();
  f->Close();
 
}
